### Method

# Dex Future await_boxed

#### Declaration [src]

    gpointer
    dex_await_boxed (
      DexFuture* future
      GError** error
    )

#### Description [src]

Awaits on `future` and returns the `G_TYPE_BOXED` based result.

#### Return value

Type: `gpointer`

The boxed result, or `NULL` and `error` is set.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.